name: Deploy
run-name: ${{ gitea.actor }} build image and push to container registry

on:
  registry_package:
    types: [published]

jobs:
  # CreateImage:
  #   runs-on: [skeris]
  #   uses: https://gitea.pena/PenaDevops/actions.git/.gitea/workflows/build-image.yml@v1.1.6-p
  #   with:
  #     runner: skeris 
  #   secrets:
  #     REGISTRY_USER: ${{ secrets.REGISTRY_USER }}
  #     REGISTRY_PASSWORD: ${{ secrets.REGISTRY_PASSWORD }}
  # DeployService:
  #   runs-on: [frontprod]
  #   needs: CreateImage
  #   uses: https://gitea.pena/PenaDevops/actions.git/.gitea/workflows/deploy.yml@v1.1.4-p7
  #   with:
  #     runner: hubprod
  #     actionid: ${{ gitea.run_id }}
  #   
   DeployService:
      if: contains(github.event.package.name, 'main')
      runs-on: [frontprod]
      container:
        image: gitea.pena/penadevops/container-images/node-compose:main
        env:
          GITHUB_RUN_NUMBER: "${{ inputs.actionid }}"
        volumes:
          - /run/user/1000/podman/podman.sock:/run/user/1000/podman/podman.sock
      steps:
        - name: Check out repository code
          uses: http://gitea.pena/PenaDevops/actions.git/checkout@v1
        - run: compose -f deployments/main/docker-compose.yaml up -d
